Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77911 - TB ipcalc:60:network
Summary: TB ipcalc:60:network
Keywords:
Status: CLOSED DUPLICATE of bug 76267
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-15 08:54 UTC by Peter Vermeesch
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-15 08:54:27 UTC


Attachments (Terms of Use)

Description Peter Vermeesch 2002-11-15 08:54:21 UTC
I have 3 network cards. Everything worked fine to install those three devices   
with the redhat-config-network. I can use these three cards without any   
problem. (It is configured as a router for an intranet with a leased line and   
a internet connection).   
   
If I try to apply changes I made with redhat-config-network now, an exception  
warning pops up with this message:    
   
Traceback (most recent call last):   
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked   
    self.save()   
  File "/usr/sbin/neat", line 319, in save   
    self.saveDevices()   
  File "/usr/sbin/neat", line 326, in saveDevices   
    devicelist.save()   
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",   
line 145, in save   
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")   
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line   
60, in network   
    return re.match("NETWORK=(\S+)", text).groups()[0]   
AttributeError: 'NoneType' object has no attribute 'groups'

Comment 1 Harald Hoyer 2002-11-17 14:29:33 UTC

*** This bug has been marked as a duplicate of 76267 ***


Note You need to log in before you can comment on or make changes to this bug.